<template>
    <div class='flex-1'>
        <template v-if='user && user.confirmed'>
            <div class='rounded-md sm:px-4 sm:py-5 text-left' v-if='giver && user'>
                Очаквай твоя подарък тук: <br />
                <div v-if="user.courier != 3" class='text-sm bg-xmas-gray text-white px-4 py-4 my-3 rounded-md'>{{ user.courier_name }}, {{ user.type_of_delivery }} {{ user.place_of_delivery }}</div>
                <div v-else class='text-sm bg-xmas-gray text-white px-4 py-4 my-3 rounded-md'>Студиото ни в София на адрес Лозенец, Златовръх 51</div>
                Подаръкът за теб е:
                <div v-if="giver.sent" class='text-md bg-green-600 text-white px-4 py-4 my-3 rounded-md text-center uppercase tracking-widest font-bold'>Изпратен</div> 
                <div v-else class='text-md bg-xmas-red text-white px-4 py-4 my-3 rounded-md text-center uppercase tracking-widest font-bold'>Неизпратен</div> 
            </div>
        </template>
        <template v-else>
            <div class='rounded-md sm:px-4 sm:py-5 text-left' v-if="user">
                <div class='text-sm bg-xmas-gray text-white px-4 py-4 my-3 rounded-md'>
                    Хей, {{ user.name }}. За съжаление ти пропусна срока за потвърждаване на участията. :( Срокът беше упоменат в правилата в сайта и във видеата, които направихме.<br /> <br /> 
                    Опитахме се и да те подканим за потвърждение с постове в групата "Настолни игри България", с писма на посочения от теб мейл адрес и с SMS малко преди приключване на срока. <br /><br /> 
                    Ако все пак си искал, но не си успял - за съжаление няма как да се включиш след разпределеня не подаряващите.
                </div> 
            </div>
        </template>
    </div>
</template>
<script>
export default {
    data() {
        return {
            giver: null,
            user: null,
        }
    },
    mounted() {
        this.getMySender();
    },
    methods: {
        async getMySender() {
            this.user = this.$store.getters["auth/authUser"];
            let response = await axios.get('api/account/my_sender');
            this.giver = response.data;
        }
    },
}
</script>